GNU bug report logs - #58835
28.1; try-complete-file-name-partially modifies text before point

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Anders Munch <ajm@HIDDEN>; Keywords: wontfix notabug; dated Fri, 28 Oct 2022 12:32:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) wontfix and notabug. Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 58835 <at> debbugs.gnu.org:


Received: (at 58835) by debbugs.gnu.org; 28 Oct 2022 13:18:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 28 09:18:48 2022
Received: from localhost ([127.0.0.1]:60671 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ooPG3-0007GD-NH
	for submit <at> debbugs.gnu.org; Fri, 28 Oct 2022 09:18:48 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33324)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>)
 id 1ooPFy-0007Fu-PC; Fri, 28 Oct 2022 09:18:46 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ooPFs-0004er-U1; Fri, 28 Oct 2022 09:18:36 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=85mrmD1Fjqop/gTMBH0vyO6dWoB5TJlkDHRYvfrZNCU=; b=FiXv23K3EzWq
 YpG9c5dusGWRWtbwzV+yhcmf97e+FZvkv9BE12nyVkr1NplqHQfmaJMguKoSEwMbsDDM8MW8iZxva
 VXybOhBK5SBBHFwohg7qmEV0SqmCfmPbYbSgndSmS9ih8CUgMx+7r08d9kpl5HNrbhjja+VlQ31tG
 mahKl7GTnxbaRnQl1WfBj5X42C4jzcf3i1zbiVb+WRLQyHgkhryHSEo1ljISn9o05ZOrO1auFA7cv
 Pn/ELCZ/GEbUWtBAHAqQ2ykfdcOkQbKBygsJps0HdfiXjH8BbFvCHno5kJy6M984hpkDemzDFinOO
 UipMvU03kkCOsEbaVGt8aA==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ooPFr-0002lJ-9R; Fri, 28 Oct 2022 09:18:36 -0400
Date: Fri, 28 Oct 2022 16:18:31 +0300
Message-Id: <83czacjdco.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Anders Munch <ajm@HIDDEN>
In-Reply-To: <HE1PR0502MB3004993E1599B6CC6DE81EBBB4339@HIDDEN>
 (message from Anders Munch on Thu, 27 Oct 2022 08:35:51 +0000)
Subject: Re: bug#58835: 28.1;
 try-complete-file-name-partially modifies text before point
References: <HE1PR0502MB3004993E1599B6CC6DE81EBBB4339@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58835
Cc: 58835 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

tags 58835 notabug wontfix
thanks

> From: Anders Munch <ajm@HIDDEN>
> Date: Thu, 27 Oct 2022 08:35:51 +0000
> 
> When hippie-expand uses try-complete-file-name-partially on a partial
> path which uses platform standard directory separators, then directory
> separators are replaced with posix directory separators throughout the
> entire path.
> 
> Functions that "expand" or "complete" should not change text before
> point.

In general, yes.  But I see no reason to expect that with 110%
certainty in all cases, especially on MS-Windows.

> For example, when expanding
>     c:\Documents
> it becomes
>     c:/Documents and settings/
> 
> Expected behaviour: Nothing changed before point, expand to:
>     c:\Documents and settings/

This is a non-starter, sorry.  Emacs converts backslashes in Windows
file names to forward slashes at the first opportunity, and it does
that for very good reasons: to allow comparison of file names as
(almost) simple strings, and to avoid causing problems in code that
may not expect backslashes in file names.  This is why Emacs does this
conversion in expand-file-name, which is generally called before a
file name is passed to some C library function.  It does that also
when you call the completion commands -- again, to simplify textual
comparison of completion candidates.

> Desired behaviour is to respect platform conventions and produce
>     c:\Documents and settings\
> but I realise that would be too much to ask.

Indeed.

May I ask what is the real-life situation where this slash conversion
caused you trouble?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58835; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Oct 2022 12:31:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 28 08:31:34 2022
Received: from localhost ([127.0.0.1]:60581 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ooOWK-00062b-UV
	for submit <at> debbugs.gnu.org; Fri, 28 Oct 2022 08:31:34 -0400
Received: from lists.gnu.org ([209.51.188.17]:60182)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ajm@HIDDEN>) id 1onyRl-0001Um-UB
 for submit <at> debbugs.gnu.org; Thu, 27 Oct 2022 04:41:16 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ajm@HIDDEN>) id 1onyRj-0007pj-6l
 for bug-gnu-emacs@HIDDEN; Thu, 27 Oct 2022 04:41:04 -0400
Received: from mail-am6eur05on20603.outbound.protection.outlook.com
 ([2a01:111:f400:7e1b::603]
 helo=EUR05-AM6-obe.outbound.protection.outlook.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ajm@HIDDEN>) id 1onyRf-0007rR-Ic
 for bug-gnu-emacs@HIDDEN; Thu, 27 Oct 2022 04:41:02 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=OIkMkzAtt8DLhdfU/WmuP2bOPZ2sDHTDa/842+WrsUF98rdl9UdmVuhrdD0NgKdpLRLKC9f91IHnHmIfDyNiS9fGxVRoW2YEpgPS4Qhk43/rB/LRxbRzVcQbswd4GoqZxKGPdNA9LtOq4xVERTOnZavydUdrMKr4pFM/le0YG9sTbhHNQk1fI3R1G9txlD9dgu1+qS4hmtc90iZ9IgRJ4gGOfaQ08c1gX8WAvTnsjeNsE4+wwnnkzi3AjwcbC9ZTyBr01yCpYH5FibabflaPK0g6OJEAZxRK5AAl/BWMdXigQny9WG4SNA9to98diG4nD6pJKpzTCJUIqsedNZjLiA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=GP9ck/LjNKqiNrkN9dtCot8T86gAAp5KdJY8wczjfBc=;
 b=Pgn5/UP4Ifrwf872t6GgQYwruh3/F6SYAZED6p0WKdiMD4QJJwDPXpm+fUuAYAUly/glQpN1CH9zDKT1Ncc/GnH97YFL3rx3ckxMed/7fQyLnoEGNLjNrdoOl4ne7fJi5f83fKLnhfB1KZtrlrWAawnBI+KCY6szRs7cx0hpzrtxB0IZFCq4Gbh0k7CjDH2ZF7MVLN24nhEzOWJTR5aZR6zEZvF7nx8oC8S64uHDYtwrZhCTDeTbOI1/BUGdvRJK1inApzilje4mp50I3FJ5s6Y/bPb32iIFSQMw9zkArdR2g5X2JP8lxzBJtK44X6IExC1EA6WHEzpuz4xhFcUthw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=flonidan.dk; dmarc=pass action=none header.from=flonidan.dk;
 dkim=pass header.d=flonidan.dk; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=FlonidanAS.onmicrosoft.com; s=selector2-FlonidanAS-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=GP9ck/LjNKqiNrkN9dtCot8T86gAAp5KdJY8wczjfBc=;
 b=I3Ml6yOxurW7//z+GZmWs6KRz/Co9A5Tgj+dNAziuaSPoqLruysYPelc3Ewhb8Df5Iqo+jOuwkLZYiJjo+3oQfl1RP4xtM0yd7Ap5dhjnCob3lVfPEkhCYtaK7tqbSXGuLPdi7NlrPfummZFuUPuSwYqgXZWfLMHQl1Ri45ivsg=
Received: from HE1PR0502MB3004.eurprd05.prod.outlook.com (2603:10a6:3:d7::21)
 by AS8PR05MB8053.eurprd05.prod.outlook.com (2603:10a6:20b:335::12)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5746.21; Thu, 27 Oct
 2022 08:35:51 +0000
Received: from HE1PR0502MB3004.eurprd05.prod.outlook.com
 ([fe80::a5c5:c2fb:7963:bee9]) by HE1PR0502MB3004.eurprd05.prod.outlook.com
 ([fe80::a5c5:c2fb:7963:bee9%7]) with mapi id 15.20.5746.028; Thu, 27 Oct 2022
 08:35:51 +0000
From: Anders Munch <ajm@HIDDEN>
To: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
Subject: 28.1; try-complete-file-name-partially modifies text before point
Thread-Topic: 28.1; try-complete-file-name-partially modifies text before point
Thread-Index: Adjp3uA6nA6BSefQSMymqbwryj2g4g==
Date: Thu, 27 Oct 2022 08:35:51 +0000
Message-ID: <HE1PR0502MB3004993E1599B6CC6DE81EBBB4339@HIDDEN>
Accept-Language: en-US
Content-Language: da-DK
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: dkim=none (message not signed)
 header.d=none;dmarc=none action=none header.from=flonidan.dk;
x-ms-publictraffictype: Email
x-ms-traffictypediagnostic: HE1PR0502MB3004:EE_|AS8PR05MB8053:EE_
x-ms-office365-filtering-correlation-id: 2f58efb6-e200-44b3-add5-08dab7f64198
x-ms-exchange-senderadcheck: 1
x-ms-exchange-antispam-relay: 0
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: 9rcuOycO9X1j1372wBw/Re9qFywQ3zmptYNk3NbNmFw/YOY4Q/06ARcpzvDTaAkosy0y95MiGa3Rxz+w++a6IiyKbH6ZN0ig8/PQtLo/dzBFPtcR+ScpFqjGEiL//u16fKCxWug4HW+7gO8r7c4dtSeB2tCsc22+w1Ozi/u71omGqWGQuob8IzCw029so6bUvWqnq1+RAAz8ILMyow8Ocm8FxvkmAeQG7E7NXXB0vxLfBrgL7XrdCfHtEbetrt3DDWyZ9w8b7hgFHzpcz/vMoFJFkAFRpGKyXeduKfDw8JbL7s31hCQuxhjG9vtcpgYGNGQOrOYigNXTnL8CZZiQiY/RwfjLv9E2EzBqG7i//hsvquvvAMhS5j21h8TYNuNgbtyeyMB9FNqoA2EOdlAEgpHUqK3hh7aq77fSiZZahBhsvJru/joQevMPqTtAhDvbGBWwPyKJWTVMcWR+y/ac5hqwrNhtBH8Z5q+6h936nZfWtidtDh0OKeyO5Dkaw2GhY1vezC3xKjx8ND+6lLCFNBj4HRKEQabLO0k8Y0zxCvvjgzMIElHAKnT2sYVhXerIQ9FMXGaA9KXQBOX+FlHUMe3O1JCibFfFOg4K8vFGKW9efpZs93h2+sSuSDSh178ZktlRIZC4jM11pYsruTVmrHJsza+zUlCpSYQo+hRA6/7Y+KNHvviFK9CYf8EoImehFq+uREYIPlalb7Txpi5G/BSroikbHk3JvNG9IFb+9gEBwP7ya74kND4fOvUhfLdj15Hg08wZSm21CsZecXS16w==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:HE1PR0502MB3004.eurprd05.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(13230022)(4636009)(39840400004)(376002)(136003)(396003)(366004)(346002)(451199015)(55016003)(38100700002)(2906002)(122000001)(5660300002)(83380400001)(86362001)(33656002)(38070700005)(186003)(9686003)(26005)(71200400001)(6916009)(478600001)(316002)(45080400002)(41300700001)(64756008)(66476007)(8676002)(52536014)(66556008)(66946007)(76116006)(66446008)(6506007)(8936002)(7696005);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: =?us-ascii?Q?8Ks3Dg/LwEvdp6jhPC2f8M5NCts0voupOD8joAPy27YU9HSaxJCyQoVfRjQT?=
 =?us-ascii?Q?Q66bYi7+a9fG20LUtS/gZfaT8bC0UxFwm/YlzBkGJXORDKGqY/MDqcLK1u6O?=
 =?us-ascii?Q?gtw/lFobAp92H1ARfEXrXudPK5Eh9EdE5qnuqrWjcs4h13gJQ1YWnF2uzphS?=
 =?us-ascii?Q?H+FT9UhDDwp1IDmey6qXVVqAympKb295uv1iwYHQ2TysToWQZvWU0vRmq9Db?=
 =?us-ascii?Q?XXgsT6C2/ag6Ih7h8lXV6+vRt5v6wCMCVnxK1NHQX7dKjBpir1ml71PglPuj?=
 =?us-ascii?Q?STg4i24FgxVIKym9YxmDuuaOIfurbbq3K9Au31MuifAFLJNyBdZ8MM7al+7l?=
 =?us-ascii?Q?wfDK5/AXCQf6ZpSRujQyfp5kN74wKva/SQlhK60n1Q5q5lyWFNp4tM8vto/+?=
 =?us-ascii?Q?7w8hFiHBkSvs105AlgmX+ouVp9awA7c9tlB283N8Zeof6a817FBr7lODGWyz?=
 =?us-ascii?Q?1HZ8GKYcd41FaBUMNj0U4PdlcueBMkih44vXoNYnMp2aGKOfbVP+0TJV4f6Z?=
 =?us-ascii?Q?wGXwgI3pL+jnDXrHxDx6j/LOK1nUMmjUi4RePJeazdvRoxUEaws239Ga9Nlw?=
 =?us-ascii?Q?l1SoRNlxOb0CLITvQdCms+xJAoaxwFXEpChPabt+/LOQe1lUGv7MkHV4Yxc+?=
 =?us-ascii?Q?NffZDBHbQFgMKTE49PElKryfM/3Nov6qihQ1QrB4boAY1laxgC5sMoMg/WZA?=
 =?us-ascii?Q?rQ5+1hYeODxjoLnymlm1wozQP8+jDMs7RNPJXU/z5kC6l8uCnyl56A3h89XX?=
 =?us-ascii?Q?c/KqRa8ncbeU40lCNg3XenzKdI4TWFWZXAo3F08o8WWeRFEi3/O2elKBuEBj?=
 =?us-ascii?Q?V/HQzVtpCB2WRtelP+yJAeorDbLacKJws823C4HsQ5sza36RNP6KAbOIX789?=
 =?us-ascii?Q?alqrMqWo1TvHSZL/0D2+o+bPaNMD+txB0+6re68cciON8QQzas6mChh/NTt7?=
 =?us-ascii?Q?+fQRY4m6AdUQqVhsLNCg67lJiQYaiGyYo9FfXWh/2TiIs8+i4h/aEO0yd+kG?=
 =?us-ascii?Q?It3+IBqlfXLCAq1MKuo9m+q38TZLg22iTcj803Pl0WZpHwZT+xu73AyPHGud?=
 =?us-ascii?Q?vD/+xP363UcDlbrONCYYt/yStbuZPMpw25wuz50ok2ipq064npUmxKpegCIM?=
 =?us-ascii?Q?UfS8U/v9QUMw19SpF1kPi8YYJS7c+GTReHyVfZdvso76pWu68QhGUDfF5Crs?=
 =?us-ascii?Q?i8C3cIMbYgn7kIDodD6sDK1nUcyc7HcCDA4HvneriImQK6t3Y+UHc3wW0CsT?=
 =?us-ascii?Q?AtiUpBwqwzkFKOwEGyzvgQvM9SjSLAec2GQN1/UeVS6VJKgcFH95ZxQ61C0R?=
 =?us-ascii?Q?DrdQEwIfbrWdD/HWehFk7AiKU2q/DRDd7ap0xPSj9rKODIWlbWco4yraSLIe?=
 =?us-ascii?Q?yS1mf6vQfgtlCM9QxCVI/+QfSmgsaF6VwsEGDlPjPyrJYXH2K2qmp5Wvq8ru?=
 =?us-ascii?Q?04mufP8bd+XeKkxp/R9w8hu8fpK5vcVG5xGtj8nK8xZwfL4Hso7BaCemCWFv?=
 =?us-ascii?Q?ogrEkA95wYKS6E/hUQ7ZHPt6LCi9iD7petCPBEQMnFPAVbwMubPCze/Jx83r?=
 =?us-ascii?Q?8YrZQYmOaJLNTDyRVSc=3D?=
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: flonidan.dk
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: HE1PR0502MB3004.eurprd05.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 2f58efb6-e200-44b3-add5-08dab7f64198
X-MS-Exchange-CrossTenant-originalarrivaltime: 27 Oct 2022 08:35:51.6084 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 66f919b0-b207-4d78-ae72-d81c18f86ec5
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: NAMTdFFx8Q9Vf57NAMyoxZHED2w9pYp3sa02lyfoc0jRd5mygrOQIyRQfkl2/Yju
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AS8PR05MB8053
Received-SPF: pass client-ip=2a01:111:f400:7e1b::603;
 envelope-from=ajm@HIDDEN;
 helo=EUR05-AM6-obe.outbound.protection.outlook.com
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 28 Oct 2022 08:31:32 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

When hippie-expand uses try-complete-file-name-partially on a partial
path which uses platform standard directory separators, then directory
separators are replaced with posix directory separators throughout the
entire path.

Functions that "expand" or "complete" should not change text before
point.

For example, when expanding
    c:\Documents
it becomes
    c:/Documents and settings/

Expected behaviour: Nothing changed before point, expand to:
    c:\Documents and settings/

Desired behaviour is to respect platform conventions and produce
    c:\Documents and settings\
but I realise that would be too much to ask.


In GNU Emacs 28.1 (build 2, x86_64-w64-mingw32)
 of 2022-04-20 built on AVALON
Windowing system distributor 'Microsoft Corp.', version 10.0.19044
System Description: Microsoft Windows 10 Pro (v10.0.2009.19044.2130)

Configured using:
 'configure --with-modules --without-dbus --with-native-compilation
 --without-compress-install CFLAGS=3D-O2'

Configured features:
ACL GIF GMP GNUTLS HARFBUZZ JPEG JSON LCMS2 LIBXML2 MODULES NATIVE_COMP
NOTIFY W32NOTIFY PDUMPER PNG RSVG SOUND THREADS TIFF TOOLKIT_SCROLL_BARS
XPM ZLIB

(NATIVE_COMP present but libgccjit not available)

Important settings:
  value of $LANG: DAN
  locale-coding-system: cp1252

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
rfc822 mml mml-sec epa derived epg rfc6068 epg-config gnus-util rmail
rmail-loaddefs auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json map text-property-search seq byte-opt
gv bytecomp byte-compile cconv mm-decode mm-bodies mm-encode mail-parse
rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mail-utils time-date subr-x cl-loaddefs
cl-lib hippie-exp comint ansi-color ring iso-transl tooltip eldoc paren
electric uniquify ediff-hook vc-hooks lisp-float-type elisp-mode mwheel
dos-w32 ls-lisp disp-table term/w32-win w32-win w32-vars term/common-win
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite emoji-zwj charscript
charprop case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice button loaddefs faces cus-face macroexp files
window text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget hashtable-print-readable backquote threads w32notify
w32 lcms2 multi-tty make-network-process native-compile emacs)

Memory information:
((conses 16 62376 8924)
 (symbols 48 7619 1)
 (strings 32 22822 1513)
 (string-bytes 1 722817)
 (vectors 16 14919)
 (vector-slots 8 262293 11500)
 (floats 8 24 322)
 (intervals 56 219 0)
 (buffers 992 11))




Acknowledgement sent to Anders Munch <ajm@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#58835; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 28 Oct 2022 13:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.